<script lang="ts" setup>
  import { ParticipantState } from 'logic/interfaces';
  const slots = useSlots();
  defineProps<{
    participant: ParticipantState;
    owner?: boolean;
    local?: boolean;
    audio?: boolean;
    video?: boolean;
    active?: boolean;
    connected?: boolean;
  }>();
</script>

<template>
  <div
    :key="participant.attendeeId"
    class="border-information-disabled flex items-center justify-between border-b px-2 py-3"
  >
    <div class="flex items-center">
      <div v-if="owner" class="bg-primary rounded-2 mr-2 p-1.5">
        <span class="i-sw-solid:guide color-white text-xs" />
      </div>

      <p class="text-information text-sm">
        {{ participant.attendeeName || $t('presentation.unknownAttendee') }}
      </p>

      <span v-if="local" class="text-information-subdued ml-1 text-sm">
        {{ `(${$t('you')})` }}
      </span>
      <span
        v-if="active && !connected"
        class="ml-2 inline-flex h-2 w-2 animate-ping rounded-full bg-yellow-900 opacity-75"
      ></span>
      <span
        v-if="active && connected && !audio"
        class="i-sw-solid:microphone-slash text-(crimson-500 sm) ml-2"
      />
      <span
        v-if="active && connected && !video"
        class="i-sw-solid:video-slash text-(crimson-500 sm) ml-2"
      />
    </div>

    <SwDropdownMenu v-if="slots.settings">
      <template #trigger-button="{ open }">
        <SwButton class="!p-1.5" :variant="open ? 'primary' : 'action'">
          <template #icon>
            <span class="i-sw-solid:ellipsis-h text-base" />
          </template>
        </SwButton>
      </template>
      <template #content>
        <slot name="settings" />
      </template>
    </SwDropdownMenu>
  </div>
</template>
